View Issue Details

IDProjectCategoryView StatusLast Update
0022768LazarusLCLpublic2017-04-25 09:12
ReporterAntônio Galvão Assigned ToOndrej Pokorny  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.0 
Summary0022768: There is no way to hide application from taskbar
DescriptionApplication.MainFormOnTaskBar seems to be not implemented and ShowInTaskbar = stNever does nothing.
TagsNo tags attached.
Fixed in Revision54721
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017294 resolvedOndrej Pokorny ShowInTaskBar = stNever does nothing 
related to 0031248 closedOndrej Pokorny TForm.ShowInTaskBar = stAlways works only when form show on first time, and not work on next times. 

Activities

Antônio Galvão

2012-08-31 17:19

reporter   ~0062010

This is a recurring question in the forum.

Christian Blackburn

2013-02-01 11:17

reporter   ~0065373

Yes, this is a recurring question in the forums. In fact this one thread has been read nearly 3,000 times:
http://www.lazarus.freepascal.org/index.php?topic=10297.0

Please make this a priority.

Issue History

Date Modified Username Field Change
2012-08-31 17:18 Antônio Galvão New Issue
2012-08-31 17:18 Antônio Galvão Widgetset => Win32/Win64
2012-08-31 17:19 Antônio Galvão Note Added: 0062010
2012-08-31 22:08 Bart Broersma Relationship added related to 0017294
2012-09-03 17:23 yang jixian Status new => assigned
2012-09-03 17:23 yang jixian Assigned To => yang jixian
2013-02-01 11:17 Christian Blackburn Note Added: 0065373
2017-04-24 21:34 Juha Manninen Relationship added related to 0031248
2017-04-24 21:40 Juha Manninen Assigned To yang jixian => Ondrej Pokorny
2017-04-25 09:12 Ondrej Pokorny Fixed in Revision => 54721
2017-04-25 09:12 Ondrej Pokorny LazTarget => -
2017-04-25 09:12 Ondrej Pokorny Status assigned => resolved
2017-04-25 09:12 Ondrej Pokorny Resolution open => fixed